develooper Front page | perl.perl5.build | Postings from November 2003

Re: Call back units

Thread Previous | Thread Next
From:
H.Merijn Brand
Date:
November 13, 2003 06:14
Subject:
Re: Call back units
Message ID:
20031113150914.6628.H.M.BRAND@hccnet.nl
On Thu 13 Nov 2003 15:06, Andy Dougherty <doughera@lafayette.edu> wrote:
> On Thu, 13 Nov 2003, H.Merijn Brand wrote:
> 
> > On Thu 13 Nov 2003 12:19, Rafael Garcia-Suarez <rgarciasuarez@free.fr> wrote:
> > > Quoting "H.Merijn Brand" <h.m.brand@hccnet.nl>:
> > > > Any open config issues I should address? I'm currently *forcing* myself to
> > > > spend some low level Configure time
> > >
> > > Check out ticket perl #24198.
> 
> The suggestion there of piping the result through $sed 1q is probably
> fine.
> 
> > ticket #18238 is also in my 'investigate' box, but I cannot go there in RT.
> 
> That one should be marked as resolved,

I found it by searching for the subject, but I couldn't get there by typing
the ticket number.

> though the SKIP block in the tests should probably be revisited in bleadperl.

That's up to Hugo.

> > Regenerated Configure already submitted. Just rsync in blead.
> >
> > HP-UX 11.00 + HP C-ANSI-C blead's Configure blindly copied to
> 
> Blind copying might not be a good plan.  It's possible that some
> Configure tests needed in 5.6.2 are no longer needed or used in 5.9.x.

We're talking copying back to lower versions, not upwards.
5.8.x is very happy with it, and 5.6.2 is happy with it if we also copy
config_h.SH and configpm

> You should probably regenerate Configure once for each tree in question.
> It may be that there won't be any significant differences.  (You can check
> and compare the 'Wanted' files created by metaconfig to see what's
> different.)

We probably should, but it's a *lot* more work. If the latest versions justr
work as expected and are still safe, it's the easiest way out.

I already dropped two of my initially planned shakeouts in Configure due to
backward compatibility. When I accepted the job I didn't realize that
Configure (and the metaunits) would still be used by older perls

-- 
H.Merijn Brand        Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using perl-5.6.1, 5.8.0, & 5.9.x, and 806 on  HP-UX 10.20 & 11.00, 11i,
   AIX 4.3, SuSE 8.2, and Win2k.           http://www.cmve.net/~merijn/
http://archives.develooper.com/daily-build@perl.org/   perl-qa@perl.org
send smoke reports to: smokers-reports@perl.org, QA: http://qa.perl.org


Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About